Skip to content

Create a new connection under an existing identity source

This document is automatically generated based on https://github.com/authing/authing-docs-factory based on the https://api-explorer.genauth.ai V3 API, and is consistent with the API parameters and return results. If the description of this document is incorrect, please refer to the V3 API.

Create a new connection under an existing identity source, you can set the identity source icon, whether to support login only, etc.

Method name

ManagementClient.create_ext_idp_conn

Request parameters

NameTypeIs it required?Default valueDescriptionSample value
fieldsobjectYes-Custom configuration information for the connection{"clientId":"clientId on the identity source","clientSecret":"clientSecret on the identity source"}
displayNamestringYes-Display name of the connection on the login pageLogin page
identifierstringYes-Identity source connection identifier60b49eb83fd80adb96f26e68
typestringyes-Identity source connection typead
extIdpIdstringyes-Identity source connection ID60b49eb83fd80adb96f26e68
loginOnlybooleanno-Whether to support login only
logostringno-Identity source iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
tenantIdstringno-Tenant ID60b49eb83fd80adb96f26e68

Request Response

Type: ExtIdpConnDetailSingleRespDto

NameTypeDescription
statusCodenumberBusiness status code, which can be used to determine whether the operation is successful. 200 means success.
messagestringDescription
apiCodenumberSegmented error code, which can be used to get the specific error type (successful request does not return). For a detailed list of error codes, see: API Code List
requestIdstringRequest ID. Returned when the request fails.

Data Structure

ExtIdpConnDetail

NameTypeIs it required?DescriptionSample value
idstringYesIdentity source connection id60b49eb83fd80adb96f26e68
typestringYesIdentity source connection typeoidc
extIdpIdstringYesIdentity source ID6318061be13c0ce6a64093e5
logostringYesIdentity source connection iconhttps://files.authing.co/authing-console/social-connections/icon_xiaochengxu@2x.png
identifierstringNoIdentity source connection identifier60b49eb83fd80adb96f26e68
displayNamestringNoDisplay name of the identity source connection on the login pageLoginPage
loginOnlybooleanYesWhether to support only logintrue
associationModestringYesAccount association modenone
challengeBindingMethodsarrayYesAccount binding method["email-password"]

Agent infrastructure for identity, memory, and web action.